# Uses of Class
serp.bytecode.ArrayStoreInstruction

Packages that use ArrayStoreInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ArrayStoreInstruction in serp.bytecode

Methods in serp.bytecode that return ArrayStoreInstruction
Modifier and Type
Method
Description
`ArrayStoreInstruction`
Code.`aastore()`
Store an object value from the stack into an array; the `aastore` opcode.
`ArrayStoreInstruction`
Code.`bastore()`
Store a byte value from the stack into an array; the `bastore` opcode.
`ArrayStoreInstruction`
Code.`castore()`
Store a char value from the stack into an array; the `castore` opcode.
`ArrayStoreInstruction`
Code.`dastore()`
Store a double value from the stack into an array; the `dastore` opcode.
`ArrayStoreInstruction`
Code.`fastore()`
Store a float value from the stack into an array; the `fastore` opcode.
`ArrayStoreInstruction`
Code.`iastore()`
Store an int value from the stack into an array; the `iastore` opcode.
`ArrayStoreInstruction`
Code.`lastore()`
Store a long value from the stack into an array; the `lastore` opcode.
`ArrayStoreInstruction`
Code.`sastore()`
Store a short value from the stack into an array; the `sastore` opcode.
`ArrayStoreInstruction`
Code.`xastore()`
Store a value from the stack into an array.

## Uses of ArrayStoreInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ArrayStoreInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterArrayStoreInstruction(ArrayStoreInstruction obj)`
`void`
BCVisitor.`exitArrayStoreInstruction(ArrayStoreInstruction obj)`